DriverConnectionFactory (Apache Tomcat 10.1.7 API Documentation)

Package org.apache.tomcat.dbcp.dbcp2

## Class DriverConnectionFactory

- java.lang.Object
- - org.apache.tomcat.dbcp.dbcp2.DriverConnectionFactory

- All Implemented Interfaces:
    `ConnectionFactory`

      public class DriverConnectionFactory
      extends Object
      implements ConnectionFactory

  A `Driver`-based implementation of `ConnectionFactory`.
  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DriverConnectionFactory​(Driver driver, String connectString, Properties properties)` | Constructs a connection factory for a given Driver.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Connection` | `createConnection()` | Create a new `Connection` in an implementation specific fashion.
    `String` | `getConnectionString()` |
    `Driver` | `getDriver()` |
    `Properties` | `getProperties()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DriverConnectionFactory

          public DriverConnectionFactory​(Driver driver,
                                         String connectString,
                                         Properties properties)

      Constructs a connection factory for a given Driver.
      Parameters:
        `driver` - The Driver.
        `connectString` - The connection string.
        `properties` - The connection properties.

  - ### Method Detail

    - #### createConnection

          public Connection createConnection()
                                      throws SQLException

      Description copied from interface: `ConnectionFactory`
      Create a new `Connection` in an implementation specific fashion.
      Specified by:
        `createConnection` in interface `ConnectionFactory`
      Returns:
        a new `Connection`
      Throws:
        `SQLException` - if a database error occurs creating the connection

    - #### getConnectionString

          public String getConnectionString()

      Returns:
        The connection String.
      Since:
        2.6.0

    - #### getDriver

          public Driver getDriver()

      Returns:
        The Driver.
      Since:
        2.6.0

    - #### getProperties

          public Properties getProperties()

      Returns:
        The Properties.
      Since:
        2.6.0

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`